TICKIT_TERM_REF(3)

NAME
tickit_term_ref, tickit_term_unref - adjust the refcount of a terminal

SYNOPSIS
    #include <tickit.h>

    TickitTerm *tickit_term_ref(TickitTerm *tt);
    void tickit_term_unref(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_ref() increments the stored refcount of the given terminal instance by one. It returns the pointer argument itself, so it is useful for chaining.

tickit_term_unref() decrements the stored refcount of the given terminal instance by one. If the refcount drops to zero, the instance is destroyed. This will release any resources controlled by it and unbind all the bound event handlers, causing handlers to be invoked with the TICKIT_EV_DESTROY flag if appropriate. It will not close any filehandles associated with the instance.

RETURN VALUE
tickit_term_ref() returns a terminal instance pointer. tickit_term_unref() returns no value.

SEE ALSO
tickit_term_new(3), tickit_term(7), tickit(7)